Subject: Re: bug#51240: [External] : bug#51240: 27.2; Binding find-library commands

From: Howard Melman <[email-masked]>
Date: Mon, 03 Jan 2022 19:04:35 -0500

Drew Adams <[email-masked]> writes:

>> I answered all of these previously in this bug several months ago.
>
> Yeah, it sounds familiar.  I wasn't sure whether I'd
> registered my disagreement and asked for reasons.
> Sorry for the noise.
>
> I see now, checking.  Your reason is that this is
> similar to what `find-function-setup-keys' gives,
> for finding a function.  (I don't see much of a
> connection between finding libraries and finding
> functions, but so be it.)
>
> But if the idea is to emulate the model of
> `find-function-setup-keys', then such find-library
> bindings should be _created only by command_, e.g.,
> `find-library-setup-keys' - not by default.

The concensus from a couple of months ago is explicitly to
add these 3 bindings to find-library-setup-keys just like
the others.  I would think if you had checked we could have
avoided this noise too.  ;)

-- 

Howard